org.vertx.java.deploy.impl.java

## Class CustomJavaFileObject

- java.lang.Object
- - org.vertx.java.deploy.impl.java.CustomJavaFileObject

All Implemented Interfaces:
  javax.tools.FileObject, javax.tools.JavaFileObject

    public class CustomJavaFileObject
    extends java.lang.Object
    implements javax.tools.JavaFileObject

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.tools.JavaFileObject

`javax.tools.JavaFileObject.Kind`

### Constructor Summary

Constructors
`protected` `CustomJavaFileObject(java.net.URI uri, javax.tools.JavaFileObject.Kind kind, java.lang.String binaryName)`

### Method Summary

Methods
`java.lang.String` `binaryName()`
`boolean` `delete()`
`javax.lang.model.element.Modifier` `getAccessLevel()`
`java.lang.CharSequence` `getCharContent(boolean ignoreEncodingErrors)`
`javax.tools.JavaFileObject.Kind` `getKind()`
`long` `getLastModified()`
`java.lang.String` `getName()`
`javax.lang.model.element.NestingKind` `getNestingKind()`
`boolean` `isNameCompatible(java.lang.String simpleName, javax.tools.JavaFileObject.Kind kind)`
`java.io.InputStream` `openInputStream()`
`java.io.OutputStream` `openOutputStream()`
`java.io.Reader` `openReader(boolean ignoreEncodingErrors)`
`java.io.Writer` `openWriter()`
`java.lang.String` `toString()`
`java.net.URI` `toUri()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CustomJavaFileObject

    protected CustomJavaFileObject(java.net.URI uri,
                        javax.tools.JavaFileObject.Kind kind,
                        java.lang.String binaryName)

### Method Detail

#### binaryName

    public java.lang.String binaryName()

#### openInputStream

    public java.io.InputStream openInputStream()
                                        throws java.io.IOException

Specified by:
  `openInputStream` in interface `javax.tools.FileObject`
Throws:
  `java.io.IOException`

#### getKind

    public javax.tools.JavaFileObject.Kind getKind()

Specified by:
  `getKind` in interface `javax.tools.JavaFileObject`

#### getNestingKind

    public javax.lang.model.element.NestingKind getNestingKind()

Specified by:
  `getNestingKind` in interface `javax.tools.JavaFileObject`

#### toUri

    public java.net.URI toUri()

Specified by:
  `toUri` in interface `javax.tools.FileObject`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `javax.tools.FileObject`

#### openOutputStream

    public java.io.OutputStream openOutputStream()
                                          throws java.io.IOException

Specified by:
  `openOutputStream` in interface `javax.tools.FileObject`
Throws:
  `java.io.IOException`

#### openReader

    public java.io.Reader openReader(boolean ignoreEncodingErrors)
                              throws java.io.IOException

Specified by:
  `openReader` in interface `javax.tools.FileObject`
Throws:
  `java.io.IOException`

#### getCharContent

    public java.lang.CharSequence getCharContent(boolean ignoreEncodingErrors)
                                          throws java.io.IOException

Specified by:
  `getCharContent` in interface `javax.tools.FileObject`
Throws:
  `java.io.IOException`

#### openWriter

    public java.io.Writer openWriter()
                              throws java.io.IOException

Specified by:
  `openWriter` in interface `javax.tools.FileObject`
Throws:
  `java.io.IOException`

#### getLastModified

    public long getLastModified()

Specified by:
  `getLastModified` in interface `javax.tools.FileObject`

#### delete

    public boolean delete()

Specified by:
  `delete` in interface `javax.tools.FileObject`

#### isNameCompatible

    public boolean isNameCompatible(java.lang.String simpleName,
                           javax.tools.JavaFileObject.Kind kind)

Specified by:
  `isNameCompatible` in interface `javax.tools.JavaFileObject`

#### getAccessLevel

    public javax.lang.model.element.Modifier getAccessLevel()

Specified by:
  `getAccessLevel` in interface `javax.tools.JavaFileObject`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`